www/p5-Alien-GvaScript - The NetBSD Packages Collection

Gva extension to the prototype javascript framework

GvaScript is a javascript framework, built on top of the prototype
object-oriented javascript framework (http://prototype.conio.net)
and offers a number of extensions and widgets, such as keymap
handling, application-specific events, autocompletion on input
field, and a tree navigator.
GvaScript is distributed using Perl tools, but the actual content
of the library is pure javascript.

Build dependencies

devel/p5-Module-Build pkgtools/cwrappers

Runtime dependencies

lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0earmv7hfp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 8.0earmv7hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0i386p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 8.0i386p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0powerpcp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 8.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 8.0x86_64p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 8.0x86_64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0aarch64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0aarch64p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0aarch64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0alphap5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0alphap5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0alphap5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0earmp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmv6hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmv6hfp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0earmv6hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmv7hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmv7hfp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0earmv7hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0earmv7hfp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0i386p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0i386p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0mips64ebp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0mips64ebp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0mips64ebp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0mips64ebp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0mips64ebp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0powerpcp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0powerpcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sh3elp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sh3elp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0sh3elp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sparc64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sparc64p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0sparc64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sparcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0sparcp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0sparcp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0sparcp5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0sparcp5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0x86_64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0x86_64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0x86_64p5-Alien-GvaScript-1.45nb3.tgz
NetBSD 9.0x86_64p5-Alien-GvaScript-1.45nb4.tgz
NetBSD 9.0x86_64p5-Alien-GvaScript-1.45nb4.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.